/**
 * output package name
 */
package com.kingdee.eas.custom.expandassess.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class PeriodStatusEnum extends StringEnum
{
    public static final String LOCK_VALUE = "1";//alias=周期已锁定
    public static final String UNLOCK_VALUE = "2";//alias=周期未锁定

    public static final PeriodStatusEnum LOCK = new PeriodStatusEnum("LOCK", LOCK_VALUE);
    public static final PeriodStatusEnum UNLOCK = new PeriodStatusEnum("UNLOCK", UNLOCK_VALUE);

    /**
     * construct function
     * @param String periodStatusEnum
     */
    private PeriodStatusEnum(String name, String periodStatusEnum)
    {
        super(name, periodStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static PeriodStatusEnum getEnum(String periodStatusEnum)
    {
        return (PeriodStatusEnum)getEnum(PeriodStatusEnum.class, periodStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(PeriodStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(PeriodStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(PeriodStatusEnum.class);
    }
}